### Hierarchy

- Util

## Index

### Methods

- arrayRemoveValue
- arraySetUnique
- castToType
- copy
- fetchJson
- getGlobal
- getTimeStamp
- getUUID
- getUnixTimeStamp
- isBrowser
- isOnline
- tryParseJSON

## Methods

### Static arrayRemoveValue

- arrayRemoveValue(arr: any[], value: any): any[]

- - Defined in utils/util.ts:3

  #### Parameters

  - ##### arr: any[]

  - ##### value: any

  #### Returns any[]

### Static arraySetUnique

- arraySetUnique(arr: any): any[]

- - Defined in utils/util.ts:11

  #### Parameters

  - ##### arr: any

  #### Returns any[]

### Static castToType

- castToType(o: any): any

- - Defined in utils/util.ts:19

  #### Parameters

  - ##### o: any

  #### Returns any

### Static copy

- copy(obj: any): any

- - Defined in utils/util.ts:28

  #### Parameters

  - ##### obj: any

  #### Returns any

### Static fetchJson

- fetchJson(url: string): Promise<any>

- - Defined in utils/util.ts:32

  #### Parameters

  - ##### url: string

  #### Returns Promise<any>

### Static getGlobal

- getGlobal(): Window | Global

- - Defined in utils/util.ts:54

  Returns the global object of the environment the application is running in (browser, node, web worker, or frame)

  #### Returns Window | Global

### Static getTimeStamp

- getTimeStamp(date?: any): number

- - Defined in utils/util.ts:67

  Returns the current date as milliseconds since midnight Jan 1, 1970.

  #### Parameters

  - ##### Default value date: any = null

  #### Returns number

### Static getUUID

- getUUID(): string

- - Defined in utils/util.ts:89

  Returns a UUID.

  #### Returns string

### Static getUnixTimeStamp

- getUnixTimeStamp(date?: any): number

- - Defined in utils/util.ts:82

  Returns the current date as seconds since midnight Jan 1, 1970.

  #### Parameters

  - ##### Default value date: any = null

  #### Returns number

### Static isBrowser

- isBrowser(): boolean

- - Defined in utils/util.ts:102

  Checks if the application is running in a browser.

  #### Returns boolean

### Static isOnline

- isOnline(): boolean

- - Defined in utils/util.ts:109

  Checks if the application is running in a browser and online.

  #### Returns boolean

### Static tryParseJSON

- tryParseJSON(jsonString: any): any

- - Defined in utils/util.ts:40

  #### Parameters

  - ##### jsonString: any

  #### Returns any